Syllable Forum Index Syllable
Syllable Forums
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

EyeOs

 
Post new topic   Reply to topic    Syllable Forum Index -> Syllable Server
View previous topic :: View next topic  
Author Message
nos



Joined: 17 Sep 2007
Posts: 95

PostPosted: Fri May 27, 2011 6:47 pm    Post subject: EyeOs Reply with quote

Hi Kaj,

I have been lurking about and have learnt to compile some basic stuff on Linux. Anyway I would like to try and get EyeOs working on Syllable server.

if you have not heard of EyeOs it is an Os based on things like php,javascript so it is an Os that runs inside your browser.

http://www.eyeos.org/

Bit of a review watch from 1:08:40
http://www.youtube.com/watch?v=ORkPWSb_i5Y

Eye Office suit
http://www.youtube.com/watch?v=c7h8gMLbc1I&feature=related


I think it's kinda cool and my first couple of questions

Server shows 0.4 on the web site but on the Rebol Altme
-------------
ddharing
13-Sep-2010
[2205]

Is the development version available for download? I just checked
the website and only see a development release for 0.4
-------------
Kaj
13-Sep-2010
[2206]

Not publicly, as it doesn't have release quality yet, but you can
contact me privately here
-------------

Which version of server should I use?

EyeOs requirements

an earlier version needs a lot less
http://wiki.eyeos.org/Requirements

Eyeos 2.*
http://wiki.eyeos.org/EyeOS_Requirements

I see most of them in builder receipts would you mind if I could get an Altme account in case I run into any trouble
Back to top
View user's profile Send private message
Kaj
The Knights of Syllable


Joined: 14 Sep 2007
Posts: 2203
Location: Friesland

PostPosted: Fri May 27, 2011 8:20 pm    Post subject: Reply with quote

0.4 is the release version of Server. What I was talking about with David den Haring was a graphical version of Server 0.4 that we use in-house, and that David needed for extra functionality in his company network.

Getting EyeOS to run on Server looks doable. Some dependencies are missing, so you'd probably have to write some extra recipes and upgrade others, or compile some packages ad hoc. The development packages for Server are a bit long in the tooth. If you run into problems, you may need some newer packages that I used to produce Server 0.4.

The requirements for EyeOS are rather vague. 2.x lists MySQL and SQLIte drivers, but 1.x says that it needs no database. Did that change in 2.x or are the database drivers optional? If they're needed, MySQL would be the biggest missing dependency. There are several web servers for Server. They talk about Apache and IIS on Windows, but you could try a nicer one. If you'd want to try our preferred Cheyenne server, PHP would need a patch, though.

It should be doable to get the dependencies and configurations together, but it's always a lot of work. If you don't mind compiling, the Syllable way is best. Alternatively, you could use the graphical Server version. We use it as desktop and it takes more space, but it can install GoboLinux packages, so most of the packages you need are probably in there as binaries. The integration with Syllable is messy, though, which is why we haven't released it.

It would indeed be best to collaborate on this. I have your mail address here. If you can give your full name, I'll mail you an AltME invitation.
Back to top
View user's profile Send private message Visit poster's website
nos



Joined: 17 Sep 2007
Posts: 95

PostPosted: Fri May 27, 2011 9:56 pm    Post subject: Reply with quote

Name: Chris Robinson

The requirements for EyeOS are rather vague. 2.x lists MySQL and SQLIte drivers, but 1.x says that it needs no database.

Not sure - Came across the project and immediately thought of syllable by bringing an office suit to syllable desktop via eyeOS on the syllable server. I saw that the early version which you can still get did not seem to require too much. There were builder receipts for some of the dependencies for 2.* and I thought it would be a cool project.


So my plan was to start at the early versions as they seem to only require php and a server and try to learn as I go along and work my way up with the extra dependencies to the newer versions of eyeos.

ah yes - found the patch for cheyenne.
http://cheyenne-server.org/blog.rsp?view=15
Back to top
View user's profile Send private message
Kaj
The Knights of Syllable


Joined: 14 Sep 2007
Posts: 2203
Location: Friesland

PostPosted: Fri May 27, 2011 10:52 pm    Post subject: Reply with quote

Invitation mailed.

I always try the latest versions first, but if it's true that the requirements increased a lot, the older version may indeed be an easier start. It's best to read the documentation in the downloads thoroughly to compare. They probably have more precise information.
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic    Syllable Forum Index -> Syllable Server All times are GMT - 6 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group